; RAMTEST ( is loaded into the Display RAM )
D000  AF        XOR     A
D001  210010    LD      HL,#1000
D004  110110    LD      DE,#1001
D007  01FFBF    LD      BC,#BFFF
D00A  77        LD      (HL),A		; set $1000 to $CFFF
					; (A increases from $00 to $FF until MZ-reset)
D00B  EDB0      LDIR    
D00D  08        EX      AF,AF'		; save A
D00E  11FFFF    LD      DE,#FFFF	
D011  1B        DEC     DE
D012  7A        LD      A,D
D013  B3        OR      E
D014  20FB      JR      NZ,#D011        ; wait loop
D016  08        EX      AF,AF'		; restore A
D017  210010    LD      HL,#1000	; start address
D01A  01FFBF    LD      BC,#BFFF	; length / loop counter
D01D  EDA1      CPI     		; read memory
D01F  2015      JR      NZ,#D036        ; not equal? then error
D021  EA1DD0    JP      PE,#D01D	; check next memory byte
D024  3C        INC     A		; A = A + 1
D025  21100F    LD      HL,#0F10	; col = 16, row = 17
D028  227111    LD      (#1171),HL 	; set col/row
D02B  3244D0    LD      (#D044),A	; save A
D02E  CDC303    CALL    #03C3 		; print Accu in hex
D031  3A44D0    LD      A,(#D044)	; restore A
D034  18CB      JR      #D001           ; next check until the user resets the MZ


; print memory address which is in error
D036  11100F    LD      DE,#0F10	; col = 16, row = 17
D039  ED537111  LD      (#1171),DE 	; set col/row
D03D  2B        DEC     HL		; HL = HL - 1
D03E  CDBA03    CALL    #03BA 		; print memory address in error
D041  C38200    JP      #0082 		; return to monitor warmstart

D044  00        NOP         
